
%define debug_package %{nil}
Name:    tezos-baking
Version: 17.0rc1
Release: 1
Epoch: 1
Summary: Package that provides systemd services that orchestrate other services from Tezos packages
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baking-17.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v17.0-rc1/
BuildRequires: systemd systemd-rpm-macros, python3-devel, python3-setuptools
Requires: tezos-baker-PtMumbai, tezos-baker-PtNairob, tezos-node, acl
%description
Package that provides systemd services that orchestrate other services from Tezos packages
Maintainer: Serokell <hi@serokell.io>
%prep
%autosetup -n tezos-baking-17.0rc1
%build
%py3_build
%install
%py3_install

mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-mainnet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-ghostnet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-mumbainet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-nairobinet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-custom@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baking-mainnet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-mainnet
install -m 644 tezos-baking-ghostnet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-ghostnet
install -m 644 tezos-baking-mumbainet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-mumbainet
install -m 644 tezos-baking-nairobinet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-nairobinet
install -m 644 tezos-baking-custom@.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-custom@

install -m 0755 tezos-baking-start %{buildroot}/%{_bindir}
install -m 0755 tezos-baking-prestart %{buildroot}/%{_bindir}


%files
%{_bindir}/tezos-setup
%{_bindir}/tezos-vote
%{python3_sitelib}/tezos_baking-*.egg-info/
%{python3_sitelib}/tezos_baking/
%license LICENSE

%{_bindir}/tezos-baking-start
%{_bindir}/tezos-baking-prestart

%{_unitdir}/tezos-baking-mainnet.service
%{_unitdir}/tezos-baking-ghostnet.service
%{_unitdir}/tezos-baking-mumbainet.service
%{_unitdir}/tezos-baking-nairobinet.service
%{_unitdir}/tezos-baking-custom@.service

%{_sysconfdir}/default/tezos-baking-mainnet
%{_sysconfdir}/default/tezos-baking-ghostnet
%{_sysconfdir}/default/tezos-baking-mumbainet
%{_sysconfdir}/default/tezos-baking-nairobinet
%{_sysconfdir}/default/tezos-baking-custom@



%post
%systemd_post tezos-baking-mainnet.service
%systemd_post tezos-baking-ghostnet.service
%systemd_post tezos-baking-mumbainet.service
%systemd_post tezos-baking-nairobinet.service
%systemd_post tezos-baking-custom@.service



%preun
%systemd_preun tezos-baking-mainnet.service
%systemd_preun tezos-baking-ghostnet.service
%systemd_preun tezos-baking-mumbainet.service
%systemd_preun tezos-baking-nairobinet.service
%systemd_preun tezos-baking-custom@.service


%postun
%systemd_postun_with_restart tezos-baking-mainnet.service
%systemd_postun_with_restart tezos-baking-ghostnet.service
%systemd_postun_with_restart tezos-baking-mumbainet.service
%systemd_postun_with_restart tezos-baking-nairobinet.service
%systemd_postun_with_restart tezos-baking-custom@.service



